{------------------------------------------------------------------------------}
{
   Unit Name: edttestf
   Purpose  : To test EditDouble-component
   Author   : Vesa Lappalainen
   Date     : 10.09.00
   Changed  :

   ToDo     :
}
{------------------------------------------------------------------------------}

unit edttestf;

interface

uses
  SysUtils, Classes,
{$ifdef CLX}
  QGraphics, QControls, QForms, QDialogs,QStdCtrls,
{$else}
  Windows, Messages, Graphics, Controls, Forms, Dialogs,StdCtrls,
{$endif}
  EditDouble;

type
  TFormEditTest = class(TForm)
    LabelDouble: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure EditChange(Sender: TObject);
  private
    ed : TEditDouble;
  public
  end;

var
  FormEditTest: TFormEditTest;

implementation
{$R *.DFM}

procedure TFormEditTest.FormCreate(Sender: TObject);
begin
  ed := TEditDouble.Create(self);
  ed.Parent :=self;
  ed.OnChange := EditChange;
end;

procedure TFormEditTest.EditChange(Sender: TObject);
begin
  LabelDouble.Caption := FloatToStr(ed.Value);
end;

end.
